System.Web 2.0.0.0 System.Enum

The represents the possible values for the property of the class.

Specifies why the class shut down.

- Field
  System.Web.ApplicationShutdownReason

  A change was made to the Bin folder or to files in it.

  2.0.0.0
- Field
  System.Web.ApplicationShutdownReason

  A change was made to the App_Browsers folder or to files in it.

  2.0.0.0
- Field
  System.Web.ApplicationShutdownReason

  A change was made to the Global.asax file.

  2.0.0.0
- Field
  System.Web.ApplicationShutdownReason

  A change was made in the code access security policy file.

  2.0.0.0
- Field
  System.Web.ApplicationShutdownReason

  A change was made to the App_Code folder or to files in it.

  2.0.0.0
- Field
  System.Web.ApplicationShutdownReason

  A change was made to the application-level configuration file.

  2.0.0.0
- Field
  System.Web.ApplicationShutdownReason

  The hosting environment shut down the application domain.

  2.0.0.0
- Field
  System.Web.ApplicationShutdownReason

  A call was made to .

  2.0.0.0
- Field
  System.Web.ApplicationShutdownReason

  The maximum idle time limit was reached.

  2.0.0.0
- Field
  System.Web.ApplicationShutdownReason

  An initialization error occurred.

  2.0.0.0
- Field
  System.Web.ApplicationShutdownReason

  The maximum number of dynamic recompiles of resources was reached.

  2.0.0.0
- Field
  System.Web.ApplicationShutdownReason

  No shutdown reason was provided.

  2.0.0.0
- Field
  System.Web.ApplicationShutdownReason

  A change was made to the physical path of the application.

  2.0.0.0
- Field
  System.Web.ApplicationShutdownReason

  A change was made to the App_GlobalResources folder or to files in it.

  2.0.0.0
- Field
  System.Web.ApplicationShutdownReason

  A call was made to .

  2.0.0.0